## org.eclipse.uml2.uml
Interface UnmarshallAction

All Superinterfaces:
  Action, ActivityNode, Element, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, ExecutableNode, NamedElement, org.eclipse.emf.common.notify.Notifier, RedefinableElement

    public interface UnmarshallAction

extends Action

A representation of the model object 'Unmarshall Action'. An unmarshall action is an action that breaks an object of a known type into outputs each of which is equal to a value from a structural feature of the object.

The following features are supported:

- `Result`
- `Unmarshall Type`
- `Object`

See Also:
  `UMLPackage.getUnmarshallAction()`

Field Summary

Fields inherited from interface org.eclipse.uml2.uml.NamedElement
`SEPARATOR`

Method Summary
`InputPin` `createObject(java.lang.String name, Type type)` Creates a new `InputPin`,with the specified 'Name', and 'Type', and sets the 'Object' containment reference
`InputPin` `createObject(java.lang.String name, Type type, org.eclipse.emf.ecore.EClass eClass)` Creates a new `InputPin`, with the specified 'Name', and 'Type', and sets the 'Object' containment reference
`OutputPin` `createResult(java.lang.String name, Type type)` Creates a new `OutputPin`, with the specified 'Name', and 'Type', and appends it to the 'Result' containment reference list
`InputPin` `getObject()` Returns the value of the 'Object' containment reference.
`OutputPin` `getResult(java.lang.String name, Type type)` Retrieves the first `OutputPin` with the specified 'Name', and 'Type' from the 'Result' containment reference list
`OutputPin` `getResult(java.lang.String name, Type type, boolean ignoreCase)` Retrieves the first `OutputPin` with the specified 'Name', and 'Type' from the 'Result' reference list
`OutputPin` `getResult(java.lang.String name, Type type, boolean ignoreCase, boolean createOnDemand)` Retrieves the first `OutputPin` with the specified 'Name', and 'Type' from the 'Result' containment reference list
`org.eclipse.emf.common.util.EList<OutputPin>` `getResults()` Returns the value of the 'Result' containment reference list.
`Classifier` `getUnmarshallType()` Returns the value of the 'Unmarshall Type' reference
`void` `setObject(InputPin value)` Sets the value of the '`Object`' containment reference
`void` `setUnmarshallType(Classifier value)` Sets the value of the '`Unmarshall Type`' reference
`boolean` `validateMultiplicityOfObject(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` The multiplicity of the object input pin is 1..1 true
`boolean` `validateMultiplicityOfResult(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` The multiplicity of each result output pin must be compatible with the multiplicity of the corresponding structural features of the unmarshall classifier.
`boolean` `validateNumberOfResult(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` The number of result output pins must be the same as the number of structural features of the unmarshall classifier.
`boolean` `validateSameType(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` The type of the object input pin must be the same as the unmarshall classifier.
`boolean` `validateStructuralFeature(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` The unmarshall classifier must have at least one structural feature.
`boolean` `validateTypeAndOrdering(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` The type and ordering of each result output pin must be the same as the corresponding structural feature of the unmarshall classifier.
`boolean` `validateUnmarshallTypeIsClassifier(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` unmarshallType must be a Classifier with ordered attributes true

Methods inherited from interface org.eclipse.uml2.uml.Action
`createLocalPostcondition, createLocalPostcondition, createLocalPrecondition, createLocalPrecondition, getContext, getInput, getInput, getInputs, getLocalPostcondition, getLocalPostcondition, getLocalPostconditions, getLocalPrecondition, getLocalPrecondition, getLocalPreconditions, getOutput, getOutput, getOutputs`

Methods inherited from interface org.eclipse.uml2.uml.ExecutableNode
`createHandler, getHandlers`

Methods inherited from interface org.eclipse.uml2.uml.ActivityNode
`getActivity, getIncoming, getIncoming, getIncomings, getInGroups, getInInterruptibleRegions, getInPartition, getInPartition, getInPartitions, getInStructuredNode, getOutgoing, getOutgoing, getOutgoings, getRedefinedNode, getRedefinedNode, getRedefinedNodes, setActivity, setInStructuredNode, validateOwned, validateOwnedStructuredNode`

Methods inherited from interface org.eclipse.uml2.uml.RedefinableElement
`getRedefinedElement, getRedefinedElement, getRedefinedElements, getRedefinitionContext, getRedefinitionContext, getRedefinitionContexts, isConsistentWith, isLeaf, isRedefinitionContextValid, setIsLeaf, validateRedefinitionConsistent, validateRedefinitionContextValid`

Methods inherited from interface org.eclipse.uml2.uml.NamedElement

`allNamespaces, allOwningPackages, createDependency, createNameExpression, createUsage, getClientDependencies, getClientDependency, getClientDependency, getLabel, getLabel, getName, getNameExpression, getNamespace, getQualifiedName, getVisibility, isDistinguishableFrom, isSetName, isSetVisibility, separator, setName, setNameExpression, setVisibility, unsetName, unsetVisibility, validateHasNoQualifiedName, validateHasQualifiedName, validateVisibilityNeedsOwnership`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getResults

    org.eclipse.emf.common.util.EList<OutputPin> getResults()

  Returns the value of the 'Result' containment reference list. The list contents are of type `OutputPin`.

  This feature subsets the following features:

  - '`Output`'
  The values of the structural features of the input object.

  Returns:
    the value of the 'Result' containment reference list.
  See Also:
    `UMLPackage.getUnmarshallAction_Result()`

### createResult

    OutputPin createResult(java.lang.String name,
                           Type type)

  Creates a new `OutputPin`, with the specified 'Name', and 'Type', and appends it to the 'Result' containment reference list.

  Parameters:
    `name` - The 'Name' for the new `OutputPin`, or `null`.
    `type` - The 'Type' for the new `OutputPin`, or `null`.
  Returns:
    The new `OutputPin`.
  See Also:
    `getResults()`

### getResult

    OutputPin getResult(java.lang.String name,
                        Type type)

  Retrieves the first `OutputPin` with the specified 'Name', and 'Type' from the 'Result' containment reference list.

  Parameters:
    `name` - The 'Name' of the `OutputPin` to retrieve, or `null`.
    `type` - The 'Type' of the `OutputPin` to retrieve, or `null`.
  Returns:
    The first `OutputPin` with the specified 'Name', and 'Type', or `null`.
  See Also:
    `getResults()`

### getResult

    OutputPin getResult(java.lang.String name,
                        Type type,
                        boolean ignoreCase,
                        boolean createOnDemand)

  Retrieves the first `OutputPin` with the specified 'Name', and 'Type' from the 'Result' containment reference list.

  Parameters:
    `name` - The 'Name' of the `OutputPin` to retrieve, or `null`.
    `type` - The 'Type' of the `OutputPin` to retrieve, or `null`.
    `ignoreCase` - Whether to ignore case in `String` comparisons.
    `createOnDemand` - Whether to create a `OutputPin` on demand if not found.
  Returns:
    The first `OutputPin` with the specified 'Name', and 'Type', or `null`.
  See Also:
    `getResults()`

### getResult

    OutputPin getResult(java.lang.String name,
                        Type type,
                        boolean ignoreCase)

  Retrieves the first `OutputPin` with the specified 'Name', and 'Type' from the 'Result' reference list.

  Parameters:
    `name` - The 'Name' of the `OutputPin` to retrieve, or `null`.
    `type` - The 'Type' of the `OutputPin` to retrieve, or `null`.
    `ignoreCase` - Whether to ignore case in `String` comparisons.
  Returns:
    The first `OutputPin` with the specified 'Name', and 'Type', or `null`.
  See Also:
    `getResults()`

### getUnmarshallType

    Classifier getUnmarshallType()

  Returns the value of the 'Unmarshall Type' reference. The type of the object to be unmarshalled.

  Returns:
    the value of the 'Unmarshall Type' reference.
  See Also:
    `setUnmarshallType(Classifier)`, `UMLPackage.getUnmarshallAction_UnmarshallType()`

### setUnmarshallType

    void setUnmarshallType(Classifier value)

  Sets the value of the '`Unmarshall Type`' reference.

  Parameters:
    `value` - the new value of the 'Unmarshall Type' reference.
  See Also:
    `getUnmarshallType()`

### getObject

    InputPin getObject()

  Returns the value of the 'Object' containment reference.

  This feature subsets the following features:

  - '`Input`'
  The object to be unmarshalled.

  Returns:
    the value of the 'Object' containment reference.
  See Also:
    `setObject(InputPin)`, `UMLPackage.getUnmarshallAction_Object()`

### setObject

    void setObject(InputPin value)

  Sets the value of the '`Object`' containment reference.

  Parameters:
    `value` - the new value of the 'Object' containment reference.
  See Also:
    `getObject()`

### createObject

    InputPin createObject(java.lang.String name,
                          Type type,
                          org.eclipse.emf.ecore.EClass eClass)

  Creates a new `InputPin`, with the specified 'Name', and 'Type', and sets the 'Object' containment reference.

  Parameters:
    `name` - The 'Name' for the new `InputPin`, or `null`.
    `type` - The 'Type' for the new `InputPin`, or `null`.
    `eClass` - The Ecore class of the `InputPin` to create.
  Returns:
    The new `InputPin`.
  See Also:
    `getObject()`

### createObject

    InputPin createObject(java.lang.String name,
                          Type type)

  Creates a new `InputPin`,with the specified 'Name', and 'Type', and sets the 'Object' containment reference.

  Parameters:
    `name` - The 'Name' for the new `InputPin`, or `null`.
    `type` - The 'Type' for the new `InputPin`, or `null`.
  Returns:
    The new `InputPin`.
  See Also:
    `getObject()`

### validateSameType

    boolean validateSameType(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                             java.util.Map<java.lang.Object,java.lang.Object> context)

  The type of the object input pin must be the same as the unmarshall classifier. true

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### validateMultiplicityOfObject

    boolean validateMultiplicityOfObject(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                         java.util.Map<java.lang.Object,java.lang.Object> context)

  The multiplicity of the object input pin is 1..1 true

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### validateNumberOfResult

    boolean validateNumberOfResult(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                   java.util.Map<java.lang.Object,java.lang.Object> context)

  The number of result output pins must be the same as the number of structural features of the unmarshall classifier. true

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### validateTypeAndOrdering

    boolean validateTypeAndOrdering(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                    java.util.Map<java.lang.Object,java.lang.Object> context)

  The type and ordering of each result output pin must be the same as the corresponding structural feature of the unmarshall classifier. true

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### validateMultiplicityOfResult

    boolean validateMultiplicityOfResult(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                         java.util.Map<java.lang.Object,java.lang.Object> context)

  The multiplicity of each result output pin must be compatible with the multiplicity of the corresponding structural features of the unmarshall classifier. true

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### validateStructuralFeature

    boolean validateStructuralFeature(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                      java.util.Map<java.lang.Object,java.lang.Object> context)

  The unmarshall classifier must have at least one structural feature. true

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### validateUnmarshallTypeIsClassifier

    boolean validateUnmarshallTypeIsClassifier(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                               java.util.Map<java.lang.Object,java.lang.Object> context)

  unmarshallType must be a Classifier with ordered attributes true

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.